| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Gr3d.Graph3dManipulatorWindow Class Reference

A form for manipulation of 3D graphics. More...

Inheritance diagram for IG.Gr3d.Graph3dManipulatorWindow:
[legend]
Collaboration diagram for IG.Gr3d.Graph3dManipulatorWindow:
[legend]

## Public Member Functions
| Graph3dManipulatorWindow ()
| Graph3dManipulatorWindow (IVtkFormContainer vtkContainer)
Public Member Functions inherited from IG.Forms.IClosableFromContainedForm
void | Close ()

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
IVtkFormContainer | VtkContainer`[get, set]`
| Gets the control of type VtkControlBase through which VTK functionality is controlled. More...
VtkControlBase | VtkControl`[get, set]`
| Gets the control of type VtkControlBase through which VTK functionality is controlled. More...
I3dGraphicsControl | GraphControl`[get]`
| Graph control that is manipulated by the current control. More...

## Private Member Functions
void | graph3DManipulator1_Load (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
IVtkFormContainer | _vtkContainer
VtkControlBase | _vtkControl
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
Graph3dManipulator | graph3DManipulator1

## Detailed Description

A form for manipulation of 3D graphics.

$A Igor xx;

## Constructor & Destructor Documentation

IG.Gr3d.Graph3dManipulatorWindow.Graph3dManipulatorWindow | ( |  | ) |
| inline

IG.Gr3d.Graph3dManipulatorWindow.Graph3dManipulatorWindow | ( | IVtkFormContainer | vtkContainer | ) |
| inline

## Member Function Documentation

void IG.Gr3d.Graph3dManipulatorWindow.graph3DManipulator1_Load | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Gr3d.Graph3dManipulatorWindow.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Gr3d.Graph3dManipulatorWindow.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

IVtkFormContainer IG.Gr3d.Graph3dManipulatorWindow._vtkContainer
| private

VtkControlBase IG.Gr3d.Graph3dManipulatorWindow._vtkControl
| private

System.ComponentModel.IContainer IG.Gr3d.Graph3dManipulatorWindow.components = null
| private

Required designer variable.

Graph3dManipulator IG.Gr3d.Graph3dManipulatorWindow.graph3DManipulator1
| private

## Property Documentation

IVtkFormContainer IG.Gr3d.Graph3dManipulatorWindow.VtkContainer
| get set

Gets the control of type VtkControlBase through which VTK functionality is controlled.

VtkControlBase IG.Gr3d.Graph3dManipulatorWindow.VtkControl
| get set

Gets the control of type VtkControlBase through which VTK functionality is controlled.

I3dGraphicsControl IG.Gr3d.Graph3dManipulatorWindow.GraphControl
| get

Graph control that is manipulated by the current control.

The documentation for this class was generated from the following files:

- extensions/igplot3d/plot3d/vtkbased/Forms/testforms/Graph3dManipulatorWindow.cs
- extensions/igplot3d/plot3d/vtkbased/Forms/testforms/Graph3dManipulatorWindow.Designer.cs